Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Saxofony Class Reference

STK faux conical bore reed instrument class. More...

`#include <Saxofony.h>`

Inheritance diagram for Saxofony:

List of all members.

## Public Member Functions

| Saxofony (MY_FLOAT lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Saxofony ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | setBlowPosition (MY_FLOAT aPosition)
| Set the "blowing" position between the air column terminations (0.0 - 1.0).
void | startBlowing (MY_FLOAT amplitude, MY_FLOAT rate)
| Apply breath pressure to instrument with given amplitude and rate of increase.
void | stopBlowing (MY_FLOAT rate)
| Decrease breath pressure with given rate of decrease.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK faux conical bore reed instrument class.

This class implements a "hybrid" digital waveguide instrument that can generate a variety of wind-like sounds. It has also been referred to as the "blowed string" model. The waveguide section is essentially that of a string, with one rigid and one lossy termination. The non-linear function is a reed table. The string can be "blown" at any point between the terminations, though just as with strings, it is impossible to excite the system at either end. If the excitation is placed at the string mid-point, the sound is that of a clarinet. At points closer to the "bridge", the sound is closer to that of a saxophone. See Scavone (2002) for more details.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- Reed Stiffness = 2
- Reed Aperture = 26
- Noise Gain = 4
- Blow Position = 11
- Vibrato Frequency = 29
- Vibrato Gain = 1
- Breath Pressure = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 49 of file Saxofony.h.

The documentation for this class was generated from the following file:

- Saxofony.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.